#
# spec file for package holy-project
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name holy-project
%bcond_with tests
Name:           %{pkg_name}
Version:        0.2.0.1
Release:        lp150.1.18
Summary:        Start your Haskell project with cabal, git and tests
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hastache-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-smallcheck-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
BuildRequires:  ghc-tasty-smallcheck-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel

%description
Holy Project is an application wich ask the user some questions and create
files to help you starting a new Haskell project. There are example for tests
using HUnit and SmallCheck It initializes git, use Haskell LTS, and provide a
useful script: "auto-update".

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%doc LICENSE
%{_bindir}/%{name}
%{_bindir}/test-holy-project
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/scaffold
%dir %{_datadir}/%{name}-%{version}/scaffold/src
%dir %{_datadir}/%{name}-%{version}/scaffold/src/ModuleName
%dir %{_datadir}/%{name}-%{version}/scaffold/test
%dir %{_datadir}/%{name}-%{version}/scaffold/test/ModuleName
%dir %{_datadir}/%{name}-%{version}/scaffold/test/ModuleName/Coconut
%dir %{_datadir}/%{name}-%{version}/scaffold/test/ModuleName/Swallow
%{_datadir}/%{name}-%{version}/scaffold/LICENSE
%{_datadir}/%{name}-%{version}/scaffold/Setup.hs
%{_datadir}/%{name}-%{version}/scaffold/auto-update
%{_datadir}/%{name}-%{version}/scaffold/gitignore
%{_datadir}/%{name}-%{version}/scaffold/project.cabal
%{_datadir}/%{name}-%{version}/scaffold/src/Main.hs
%{_datadir}/%{name}-%{version}/scaffold/src/ModuleName.hs
%{_datadir}/%{name}-%{version}/scaffold/src/ModuleName/Coconut.hs
%{_datadir}/%{name}-%{version}/scaffold/src/ModuleName/Swallow.hs
%{_datadir}/%{name}-%{version}/scaffold/test/ModuleName/Coconut/Test.hs
%{_datadir}/%{name}-%{version}/scaffold/test/ModuleName/Swallow/Test.hs
%{_datadir}/%{name}-%{version}/scaffold/test/Test.hs

%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Tue Jul 19 2016 psimons@suse.com
- Update to version 0.2.0.1 revision 0 with cabal2obs.
